Closed Bug 954084 Opened 7 years ago Closed 7 years ago

purple proxies should not be in the way of JavaScript protocols

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

References

Details

Attachments

(1 file)

*** Original post on bio 649 at 2011-01-07 02:23:00 UTC ***

purpleIProxyInfo and purpleIProxy need to be implemented for JavaScript protocols. The interface is at http://lxr.instantbird.org/instantbird/source/purple/purplexpcom/public/purpleIProxy.idl

I'm not sure exactly what needs to be done for this and whether it should just be a layer between libpurple and Mozilla proxies or whether this would involve a rewrite to unify the Mozilla and purple proxies. (Hence depends on bug 953602 (bio 155) based on this aspect of it.)
Blocks: 953944
Depends on: 953602
*** Original post on bio 649 at 2011-01-07 10:05:31 UTC ***

I think the easiest way to handle this would be to just make the JS protocol plugins use the mozilla proxy preferences, and hide the "Proxy" part of the account wizard / account properties dialogs.

I suspect the JS code doing XML HTTP requests already uses the Mozilla proxy preferences anyway...
Attached patch Patch v1Splinter Review
*** Original post on bio 649 as attmnt 493 at 2011-01-21 22:20:00 UTC ***

Get the purpleProxy stuff out of the way of JS protocols, as I proposed in comment 1.

We may want to rephrase a bit some strings in the "Network" tab of the "Advanced" prefpane, as the first "Settings" dialog doesn't necessarily affect all accounts any more.
Attachment #8352236 - Flags: review?(clokep)
Assignee: nobody → florian
Status: NEW → ASSIGNED
Comment on attachment 8352236 [details] [diff] [review]
Patch v1

*** Original change on bio 649 attmnt 493 at 2011-01-21 23:18:33 UTC ***

This looks good, and is relatively simple.
Attachment #8352236 - Flags: review?(clokep) → review+
Summary: Proxy should be available to JavaScript protocols → purple proxies should not be in the way of JavaScript protocols
*** Original post on bio 649 at 2011-01-23 12:29:06 UTC ***

https://hg.instantbird.org/instantbird/rev/1ad7ea205f6f
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
*** Original post on bio 649 at 2011-05-30 18:00:10 UTC ***

Follow-up: https://hg.instantbird.org/instantbird/rev/07fab1b2715e - Purple proxies should still be enabled on override protocols with a libpurple-implemented base.
You need to log in before you can comment on or make changes to this bug.